Bug 1489815 - TypeError in renew_ca_cert prevents from swiching back to self-signed CA [rhel-7.4.z]
Summary: TypeError in renew_ca_cert prevents from swiching back to self-signed CA [rhe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1486283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 12:16 UTC by Oneata Mircea Teodor
Modified: 2017-10-31 07:13 UTC (History)
13 users (show)

Fixed In Version: ipa-4.5.0-21.el7.2
Doc Type: If docs needed, set a value
Doc Text:
Previously, when switching from an externally signed Certificate Authority (CA) to self-signed CA, the "ipa-cacert-manage renew --self-signed" command failed. As a consequence, it was not possible to switch from the externally signed CA to the self-signed CA. To fix this bug, the CA helper has been fixed to properly handle certificate trust flags. As a result, it is now possible to switch from the externally signed CA to a self-signed CA.
Clone Of: 1486283
Environment:
Last Closed: 2017-10-19 15:12:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
console_2.log (33.37 KB, text/plain)
2017-09-28 10:08 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2935 normal SHIPPED_LIVE ipa bug fix update 2017-10-19 18:49:19 UTC

Description Oneata Mircea Teodor 2017-09-08 12:16:05 UTC
This bug has been copied from bug #1486283 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Petr Vobornik 2017-09-08 13:30:05 UTC
Fixed upstream
ipa-4-5:
https://pagure.io/freeipa/c/85d5611119b9e3d616589d2a8e7447055184592b

Comment 8 Abhijeet Kasurde 2017-09-28 10:08:18 UTC
Created attachment 1331876 [details]
console_2.log

Comment 10 Abhijeet Kasurde 2017-09-29 05:42:37 UTC
Verified using IPA version ::
ipa-server-4.5.0-21.el7_4.2.2.x86_64

Marking BZ as verified. Please see console_2.log for verification steps.

Comment 13 errata-xmlrpc 2017-10-19 15:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2935


Note You need to log in before you can comment on or make changes to this bug.